curl --request POST \
--url https://caliper.alpha-1edtech.ai/caliper/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sensor": "https://alpharead.alpha.school",
"sendTime": "<dynamic-timestamp>",
"dataVersion": "http://purl.imsglobal.org/ctx/caliper/v1p2",
"data": [
{
"id": "urn:uuid:c51570e4-f8ed-4c18-bb3a-dfe51b2cc594",
"type": "Event",
"actor": "https://example.edu/users/554433",
"action": "Created",
"object": "https://example.edu/terms/201801/courses/7/sections/1/assignments/1",
"eventTime": "2023-08-15T14:12:00.000Z"
}
]
}
'{
"status": "<string>",
"message": "<string>",
"errors": "<unknown>"
}Receives and processes Caliper events wrapped in an envelope. Events will be validated against the IMS Caliper Analytics specification and stored for further processing and analysis.
curl --request POST \
--url https://caliper.alpha-1edtech.ai/caliper/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sensor": "https://alpharead.alpha.school",
"sendTime": "<dynamic-timestamp>",
"dataVersion": "http://purl.imsglobal.org/ctx/caliper/v1p2",
"data": [
{
"id": "urn:uuid:c51570e4-f8ed-4c18-bb3a-dfe51b2cc594",
"type": "Event",
"actor": "https://example.edu/users/554433",
"action": "Created",
"object": "https://example.edu/terms/201801/courses/7/sections/1/assignments/1",
"eventTime": "2023-08-15T14:12:00.000Z"
}
]
}
'{
"status": "<string>",
"message": "<string>",
"errors": "<unknown>"
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The Caliper envelope containing events to process
Represents a package containing events and entity data for ingestion
The sensor.id that uniquely identifies the Caliper Sensor. Should be in the form of an IRI
"https://example.edu/sensors/1"
The time the data was sent, formatted as an ISO 8601 date and time in UTC
"2023-08-15T14:12:00.000Z"
The data format version. Indicates which version of the Caliper specification governs the form of the entities and events
"http://purl.imsglobal.org/ctx/caliper/v1p2""http://purl.imsglobal.org/ctx/caliper/v1p2"
The data payload, consisting of an array where items are Caliper Events or Entities
1Represents a Caliper Event that describes learning activities
Show child attributes
[
{
"id": "urn:uuid:c51570e4-f8ed-4c18-bb3a-dfe51b2cc594",
"type": "Event",
"actor": "https://example.edu/users/554433",
"action": "Created",
"object": "https://example.edu/terms/201801/courses/7/sections/1/assignments/1",
"eventTime": "2023-08-15T14:12:00.000Z"
}
]